X Window Creation Functions

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Functions
X Window Creation Functions
Ecore » Ecore_X - X11 Integration

Functions that can be used to create an X window. More...

## Functions
Ecore_X_Window | ecore_x_window_new (Ecore_X_Window parent, int x, int y, int w, int h)
| Creates a new window. More...
Ecore_X_Window | ecore_x_window_override_new (Ecore_X_Window parent, int x, int y, int w, int h)
| Creates a window with the override redirect attribute set to `True`. More...
Ecore_X_Window | ecore_x_window_input_new (Ecore_X_Window parent, int x, int y, int w, int h)
| Creates a new input window. More...
Ecore_X_Window | ecore_x_window_manager_argb_new (Ecore_X_Window parent, int x, int y, int w, int h)
| Creates a new window. More...
Ecore_X_Window | ecore_x_window_argb_new (Ecore_X_Window parent, int x, int y, int w, int h)
| Creates a new window. More...
Ecore_X_Window | ecore_x_window_override_argb_new (Ecore_X_Window parent, int x, int y, int w, int h)
| Creates a window with the override redirect attribute set to `True`. More...

## Detailed Description

Functions that can be used to create an X window.

## Function Documentation

Ecore_X_Window ecore_x_window_new | ( | Ecore_X_Window | parent,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |

Creates a new window.

Parameters

  parent | The parent window to use. If `parent` is `0`, the root window of the default display is used.
  x | X position.
  y | Y position.
  w | Width.
  h | Height.

Returns
  The new window handle.

References ecore_x_sync(), and ecore_x_window_defaults_set().

Referenced by ecore_x_e_window_profile_change_done_send(), ecore_x_e_window_profile_supported_set(), and ecore_x_e_window_rotation_supported_set().

Ecore_X_Window ecore_x_window_override_new | ( | Ecore_X_Window | parent,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |

Creates a window with the override redirect attribute set to `True`.

Parameters

  parent | The parent window to use. If `parent` is `0`, the root window of the default display is used.
  x | X position.
  y | Y position.
  w | Width.
  h | Height.

Returns
  The new window handle.

References ecore_x_sync().

Ecore_X_Window ecore_x_window_input_new | ( | Ecore_X_Window | parent,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |

Creates a new input window.

Parameters

  parent | The parent window to use. If `parent` is `0`, the root window of the default display is used.
  x | X position.
  y | Y position.
  w | Width.
  h | Height.

Returns
  The new window.

References ecore_x_sync().

Ecore_X_Window ecore_x_window_manager_argb_new | ( | Ecore_X_Window | parent,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |

Creates a new window.

Parameters

  parent | The parent window to use. If `parent` is `0`, the root window of the default display is used.
  x | X position.
  y | Y position.
  w | Width.
  h | Height.

Returns
  The new window handle.

Ecore_X_Window ecore_x_window_argb_new | ( | Ecore_X_Window | parent,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |

Creates a new window.

Parameters

  parent | The parent window to use. If `parent` is `0`, the root window of the default display is used.
  x | X position.
  y | Y position.
  w | Width.
  h | Height.

Returns
  The new window handle.

Ecore_X_Window ecore_x_window_override_argb_new | ( | Ecore_X_Window | parent,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |

Creates a window with the override redirect attribute set to `True`.

Parameters

  parent | The parent window to use. If `parent` is `0`, the root window of the default display is used.
  x | X position.
  y | Y position.
  w | Width.
  h | Height.

Returns
  The new window handle.

References efl::eo::parent.